Bug 831 - При скачивании длинного файла происходит искажение его содержания
: При скачивании длинного файла происходит искажение его содержания
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/proftpd)
: unstable
: all Linux
: P4 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-04-12 16:32 by
Modified: 2005-09-04 20:17 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-04-12 16:32:18
Ситуация следующая:
сервер имеет одну сетевую карту и подключен к коммутатору,
за которым есть сегменты 10 и 100 мб/c. Передача файла любой длины по 100 mbps не приводит к ошибкам. Относительно небольшие файлы тоже не искажаются на 10 mbps. Искажаются файлы скаченные с сервера размером больше 600 мб (например образ CD). Длина принятого файла равна исходной длине, md5sum не совпадают. Замена сетевой карты не помогла. vsftpd и ftp-BSD из Sisyphus  работают нормально. 
---

---
Перетыкать порты коммутатора тоже пробовали.
------- Comment #1 From 2002-05-17 17:30:40 -------
Just note: Скорее всего виновата опция --enable-sendfile
Написано про это вот здесь:
<a
href="http://www.proftpd.org/docs/faq/linked/faq-ch3.html">http://www.proftpd.org/docs/faq/linked/faq-ch3.html</a>
------- Comment #2 From 2002-05-17 17:30:40 -------
Just note: Скорее всего виновата опция --enable-sendfile
Написано про это вот здесь:
<a
href="http://www.proftpd.org/docs/faq/linked/faq-ch3.html">http://www.proftpd.org/docs/faq/linked/faq-ch3.html</a>
------- Comment #3 From 2002-05-27 09:44:19 -------
попробуйте версию proftpd-1.2.5rc2-alt1
------- Comment #4 From 2002-05-27 09:44:19 -------
попробуйте версию proftpd-1.2.5rc2-alt1
------- Comment #5 From 2002-05-27 20:12:01 -------
да, с этой версией нет проблем. IMHO можно закрывать.
------- Comment #6 From 2002-05-27 20:12:01 -------
да, с этой версией нет проблем. IMHO можно закрывать.
------- Comment #7 From 2004-05-20 13:38:15 -------
2 года как resolved